# ppdi(1)

## Name

ppdi - import ppd files (deprecated)

## Synopsis

ppdi [ -I include-directory ] [ -o source-file ] ppd-file [ ... ppd-file ]

## Description

ppdi imports one or more PPD files into a PPD compiler source file. Multiple languages of the same PPD file are merged into a single printer definition to facilitate accurate changes for all localizations. This program is deprecated and will be removed in a future release of CUPS.

## Options

ppdi supports the following options:

-I include-directory
  Specifies an alternate include directory. Multiple -I options can be supplied to add additional directories.
-o source-file
  Specifies the PPD source file to update. If the source file does not exist, a new source file is created. Otherwise the existing file is merged with the new PPD file(s) on the command-line. If no source file is specified, the filename ppdi.drv is used.

## Notes

PPD files are deprecated and will no longer be supported in a future feature release of CUPS. Printers that do not support IPP can be supported using applications such as ippeveprinter(1).

## See Also

ppdc(1), ppdhtml(1), ppdmerge(1), ppdpo(1), ppdcfile(5), CUPS Online Help (http://localhost:631/help)

## Copyright

Copyright © 2021-2022 by OpenPrinting.